NI LabVIEW 32-bit Must Be Installed Before You Can Install LabVIEW Module

Updated Jun 7, 2018

Reported In

Software

  • LabVIEW 2017 Robotics Module
  • LabVIEW 2017 Professional

Other

Windows 7 64-bit

Issue Details

I can not install Robotics Module, because of the following error:


I have got LabVIEW installed on my PC, however I can not install Robotics Module.

Solution

This error occurs because you don't have LabVIEW 32-bit installed on your system. That is why you can't install LabVIEW Robotics Module 32-bit. It might be that you have LabVIEW 64-bit installed on your system.

Install LabVIEW 32-bit on your system and you will able to install LabVIEW Robotics Module.

Additional Information

National Instruments did not release all software in 32-bit and 64-bit implementation.
Refer to National Instruments Product Compatibility for Microsoft Windows 7 in order to check corresponding software existance.
There is no LabVIEW Robotics Module 64-bit, hence you are trying to install LabVIEW Robotics Module 32-bit, but you don't have LabVIEW 32-bit installed on your system, that is why you get the error.

WAS THIS ARTICLE HELPFUL?

Not Helpful